---
title: DeviceLightEvent.value
slug: Web/API/DeviceLightEvent/value
tags:
  - API
  - Ambient Light Events
  - Experimental
  - NeedsBetterSpecLink
  - NeedsMarkupWork
  - Property
---
<div>{{APIRef("Ambient Light Events")}}</div>

<p>The <code>value</code> property provides the current level of the ambient light.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var light = instanceOfDeviceLightEvent.value;</pre>

<h2 id="Value">Value</h2>

<p>A positive number representing a light intensity expressed in <a class="external" href="http://en.wikipedia.org/wiki/Lux">lux</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("AmbientLight", "", "Ambient Light Events")}}</td>
   <td>{{Spec2("AmbientLight")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceLightEvent.value")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("DeviceLightEvent")}}</li>
 <li><a href="/en-US/docs/WebAPI/Using_Light_Events">Using Light Events</a></li>
</ul>
